> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all teams for an org

> Returns all teams for an org with pagination



## OpenAPI

````yaml get /v1/core/organizations/{orgId}/teams
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/organizations/{orgId}/teams:
    get:
      summary: Get all teams for an org
      description: Returns all teams for an org with pagination
      parameters:
        - schema:
            type: string
            description: Organization ID to fetch teams for
          required: true
          description: Organization ID to fetch teams for
          name: orgId
          in: path
        - schema:
            type: integer
            minimum: 1
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Get all teams for an org
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Team ID
                        name:
                          type: string
                          nullable: true
                          description: Team name
                        organizationId:
                          type: string
                          description: Organization this team belongs to
                        coachUids:
                          type: array
                          items:
                            type: string
                          description: Array of coach user IDs
                        coachManifest:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              email:
                                type: string
                                nullable: true
                              firstName:
                                type: string
                                nullable: true
                              lastName:
                                type: string
                                nullable: true
                            required:
                              - email
                              - firstName
                              - lastName
                          description: Map of coach UIDs to their manifest data
                        memberUids:
                          type: array
                          items:
                            type: string
                          description: Array of member user IDs
                        memberManifest:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              email:
                                type: string
                                nullable: true
                              firstName:
                                type: string
                                nullable: true
                              lastName:
                                type: string
                                nullable: true
                            required:
                              - email
                              - firstName
                              - lastName
                          description: Map of member UIDs to their manifest data
                        newUserDefaultConversationTypes:
                          type: array
                          items:
                            type: string
                          description: Array of conversation type IDs
                        createdAt:
                          type: string
                          nullable: true
                          description: ISO 8601 date string
                      required:
                        - id
                        - name
                        - organizationId
                        - coachUids
                        - coachManifest
                        - memberUids
                        - memberManifest
                        - newUserDefaultConversationTypes
                        - createdAt
                  cursor:
                    type: string
                    nullable: true
                    description: Opaque cursor for pagination
                required:
                  - data
                  - cursor
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````